#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
-# Generated by Autoconf 2.14a for Autoconf 2.14a.
+# Generated by Autoconf 2.49a for Autoconf 2.49a.
#
# Report bugs to <bug-autoconf@gnu.org>.
#
fi
fi
srcdir=`echo "$srcdir" | sed 's%\([^/]\)/*$%\1%'`
+ac_env_build_alias_set=${build_alias+set}
+ac_env_build_alias_value=$build_alias
+ac_cv_env_build_alias_set=${build_alias+set}
+ac_cv_env_build_alias_value=$build_alias
+ac_env_host_alias_set=${host_alias+set}
+ac_env_host_alias_value=$host_alias
+ac_cv_env_host_alias_set=${host_alias+set}
+ac_cv_env_host_alias_value=$host_alias
+ac_env_target_alias_set=${target_alias+set}
+ac_env_target_alias_value=$target_alias
+ac_cv_env_target_alias_set=${target_alias+set}
+ac_cv_env_target_alias_value=$target_alias
#
# Report the --help message.
# Omit some internal or obsolete options to make the list less imposing.
# This message is too long to be a string in the A/UX 3.1 sh.
cat <<EOF
-\`configure' configures Autoconf 2.14a to adapt to many kinds of systems.
+\`configure' configures Autoconf 2.49a to adapt to many kinds of systems.
Usage: $0 [OPTION]... [VAR=VALUE]...
if test -n "$ac_init_help"; then
case $ac_init_help in
- short | recursive ) echo "Configuration of Autoconf 2.14a:";;
+ short | recursive ) echo "Configuration of Autoconf 2.49a:";;
esac
cat <<\EOF
test -n "$ac_init_help" && exit 0
if $ac_init_version; then
cat <<\EOF
-configure (Autoconf 2.14a) 2.14a
+configure (Autoconf 2.49a) 2.49a
Copyright (C) 1992, 93, 94, 95, 96, 98, 99, 2000
Free Software Foundation, Inc.
# NLS nuisances.
$ac_unset LANG || test "${LANG+set}" != set || LANG=C && export LANG
$ac_unset LC_ALL || test "${LC_ALL+set}" != set || LC_ALL=C && export LC_ALL
+$ac_unset LC_TIME || test "${LC_TIME+set}" != set || LC_TIME=C && export LC_TIME
$ac_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || LC_CTYPE=C && export LC_CTYPE
$ac_unset LANGUAGE || test "${LANGUAGE+set}" != set || LANGUAGE=C && export LANGUAGE
+$ac_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || LC_COLLATE=C && export LC_COLLATE
+$ac_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || LC_NUMERIC=C && export LC_NUMERIC
$ac_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || LC_MESSAGES=C && export LC_MESSAGES
# IFS
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
-It was created by configure (Autoconf 2.14a) 2.14a, executed with
+It was created by configure (Autoconf 2.49a) 2.49a, executed with
> $0 $ac_configure_args
" >&5
fi
ac_ext=c
-# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='${CC-cc} -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "configure:672: checking for a BSD compatible install" >&5
+echo "configure:778: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
INSTALL=$ac_install_sh
fi
fi
-echo "configure:718: result: $INSTALL" >&5
+echo "configure:825: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-echo "configure:725: checking whether build environment is sane" >&5
+echo "configure:836: checking whether build environment is sane" >&5
echo $ECHO_N "checking whether build environment is sane... $ECHO_C" >&6
# Just in case
sleep 1
Check your system clock" >&2; exit 1; }
fi
rm -f conftest*
-echo "configure:760: result: yes" >&5
+echo "configure:873: result: yes" >&5
echo "${ECHO_T}yes" >&6
if test "$program_transform_name" = s,x,x,; then
program_transform_name=
# sed with no file args requires a program.
test -z "$program_transform_name" && program_transform_name="s,x,x,"
-echo "configure:779: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:894: checking whether ${MAKE-make} sets \${MAKE}" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
rm -f conftestmake
fi
if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
- echo "configure:799: result: yes" >&5
+ echo "configure:914: result: yes" >&5
echo "${ECHO_T}yes" >&6
SET_MAKE=
else
- echo "configure:803: result: no" >&5
+ echo "configure:918: result: no" >&5
echo "${ECHO_T}no" >&6
SET_MAKE="MAKE=${MAKE-make}"
fi
PACKAGE=autoconf
-VERSION=2.14a
+VERSION=2.49a
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
{ echo "configure: error: source directory already configured; run \"make distclean\" there first" >&2; exit 1; }
EOF
missing_dir=`cd $ac_aux_dir && pwd`
-echo "configure:819: checking for working aclocal" >&5
+echo "configure:940: checking for working aclocal" >&5
echo $ECHO_N "checking for working aclocal... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (aclocal --version) < /dev/null > /dev/null 2>&1; then
ACLOCAL=aclocal
- echo "configure:826: result: found" >&5
+ echo "configure:947: result: found" >&5
echo "${ECHO_T}found" >&6
else
ACLOCAL="$missing_dir/missing aclocal"
- echo "configure:830: result: missing" >&5
+ echo "configure:951: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "configure:833: checking for working autoconf" >&5
+echo "configure:955: checking for working autoconf" >&5
echo $ECHO_N "checking for working autoconf... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (autoconf --version) < /dev/null > /dev/null 2>&1; then
AUTOCONF=autoconf
- echo "configure:840: result: found" >&5
+ echo "configure:962: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOCONF="$missing_dir/missing autoconf"
- echo "configure:844: result: missing" >&5
+ echo "configure:966: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "configure:847: checking for working automake" >&5
+echo "configure:970: checking for working automake" >&5
echo $ECHO_N "checking for working automake... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (automake --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake
- echo "configure:854: result: found" >&5
+ echo "configure:977: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOMAKE="$missing_dir/missing automake"
- echo "configure:858: result: missing" >&5
+ echo "configure:981: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "configure:861: checking for working autoheader" >&5
+echo "configure:985: checking for working autoheader" >&5
echo $ECHO_N "checking for working autoheader... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (autoheader --version) < /dev/null > /dev/null 2>&1; then
AUTOHEADER=autoheader
- echo "configure:868: result: found" >&5
+ echo "configure:992: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOHEADER="$missing_dir/missing autoheader"
- echo "configure:872: result: missing" >&5
+ echo "configure:996: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "configure:875: checking for working makeinfo" >&5
+echo "configure:1000: checking for working makeinfo" >&5
echo $ECHO_N "checking for working makeinfo... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (makeinfo --version) < /dev/null > /dev/null 2>&1; then
MAKEINFO=makeinfo
- echo "configure:882: result: found" >&5
+ echo "configure:1007: result: found" >&5
echo "${ECHO_T}found" >&6
else
MAKEINFO="$missing_dir/missing makeinfo"
- echo "configure:886: result: missing" >&5
+ echo "configure:1011: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "configure:899: checking for $ac_word" >&5
+echo "configure:1026: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_M4+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
M4=$ac_cv_path_M4
if test -n "$M4"; then
- echo "configure:924: result: $M4" >&5
+ echo "configure:1052: result: $M4" >&5
echo "${ECHO_T}$M4" >&6
else
- echo "configure:927: result: no" >&5
+ echo "configure:1055: result: no" >&5
echo "${ECHO_T}no" >&6
fi
done
test -n "$M4" || M4="m4"
-echo "configure:933: checking whether m4 supports frozen files" >&5
+echo "configure:1063: checking whether m4 supports frozen files" >&5
echo $ECHO_N "checking whether m4 supports frozen files... $ECHO_C" >&6
if test "${ac_cv_prog_gnu_m4+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
esac
fi
fi
-echo "configure:945: result: $ac_cv_prog_gnu_m4" >&5
+echo "configure:1075: result: $ac_cv_prog_gnu_m4" >&5
echo "${ECHO_T}$ac_cv_prog_gnu_m4" >&6
if test x"$ac_cv_prog_gnu_m4" != xyes; then
{ echo "configure: error: GNU m4 1.4 is required" >&2; exit 1; }
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "configure:957: checking for $ac_word" >&5
+echo "configure:1088: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_AWK+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
if test -n "$AWK"; then
ac_cv_prog_AWK="$AWK" # Let the user override the test.
else
+
ac_save_IFS=$IFS; IFS=':'
ac_dummy="$PATH"
for ac_dir in $ac_dummy; do
IFS=$ac_save_IFS
test -z "$ac_dir" && ac_dir=.
test -f $ac_dir/$ac_word || continue
+
ac_cv_prog_AWK="$ac_prog"
break
done
fi
AWK=$ac_cv_prog_AWK
if test -n "$AWK"; then
- echo "configure:978: result: $AWK" >&5
+ echo "configure:1112: result: $AWK" >&5
echo "${ECHO_T}$AWK" >&6
else
- echo "configure:981: result: no" >&5
+ echo "configure:1115: result: no" >&5
echo "${ECHO_T}no" >&6
fi
done
# Generating man pages.
-echo "configure:987: checking for working help2man" >&5
+echo "configure:1123: checking for working help2man" >&5
echo $ECHO_N "checking for working help2man... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (help2man --version) < /dev/null > /dev/null 2>&1; then
HELP2MAN=help2man
- echo "configure:994: result: found" >&5
+ echo "configure:1130: result: found" >&5
echo "${ECHO_T}found" >&6
else
HELP2MAN="\${SHELL} \${top_srcdir}/missing help2man"
- echo "configure:998: result: missing" >&5
+ echo "configure:1134: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
# We use a path for perl so the #! line in autoscan will work.
# Extract the first word of "perl", so it can be a program name with args.
set dummy perl; ac_word=$2
-echo "configure:1004: checking for $ac_word" >&5
+echo "configure:1141: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_PERL+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
PERL=$ac_cv_path_PERL
if test -n "$PERL"; then
- echo "configure:1030: result: $PERL" >&5
+ echo "configure:1168: result: $PERL" >&5
echo "${ECHO_T}$PERL" >&6
else
- echo "configure:1033: result: no" >&5
+ echo "configure:1171: result: no" >&5
echo "${ECHO_T}no" >&6
fi
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "configure:1052: checking for a BSD compatible install" >&5
+echo "configure:1192: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
INSTALL=$ac_install_sh
fi
fi
-echo "configure:1098: result: $INSTALL" >&5
+echo "configure:1239: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
cat >>$CONFIG_STATUS <<EOF
ac_cs_version="\\
-$CONFIG_STATUS generated by autoconf version 2.14a.
+$CONFIG_STATUS generated by autoconf version 2.49a.
Configured on host `(hostname || uname -n) 2>/dev/null | sed 1q` by
`echo "$0 $ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`"
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
- . : '\(.\)'`
+ . : '\(.\)' 2>/dev/null ||
+echo "X"$ac_file"" | sed '
+ /^X\(.*^/\)\/\/*^/^/*\/*$/{ s//\1/p; q; }
+ /^X\(\/\/\)^/.*/{ s//\1/p; q; }
+ /^X\(\/\/\)$/{ s//\1/p; q; }
+ /^X\(\/\).*/{ s//\1/p; q; }
+ s/.*/./p; q'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) ac_incr_dir=;;